#!/bin/bash

LD_LIBRARY_PATH=../../lib
export LD_LIBRARY_PATH

echo "Initialize a new database"
rm -f tst.hsh
inithsh -m new -t 31 -r 16 -k 8 -o 4 tst.hsh

echo "Now re-configure an existing database"
inithsh -m old -t 31 -r 16 -k 8 -o 4 tst.hsh

# populate the database
bldhsh tst.hsh 31

# run a database check on the database
echo "Database check"
dbck tst.hsh

# run overflow chain statistics
chains tst.hsh

# count the records in the database
hshsize tst.hsh | less

# print the database in hash sequence
lsthsh tst.hsh | less

# dump the database in hex
dmphsh tst.hsh | less

# delete records from the database
delhsh tst.hsh 11

# run a database check on the database
echo "Database check"
dbck tst.hsh

# run overflow chain statistics
chains tst.hsh

# count the records in the database
hshsize tst.hsh | less

# print the database in hash sequence
lsthsh tst.hsh | less

# re-populate the database
bldhsh tst.hsh 11

# run a database check on the database
echo "Database check"
dbck tst.hsh

# run overflow chain statistics
chains tst.hsh

# count the records in the database
hshsize tst.hsh | less

# print the database in hash sequence
lsthsh tst.hsh | less

# populate a temporary database
# Need to re-direct output because piping doesn't
# allow remove to work in hcloset.
# The link number on the database doesn't go to zero.
# With re-direction, it does go to zero.
tmphsh 31 | less

echo "Now run holdlock.sh on one logical terminal"
echo "Run tstlock.sh on another terminal"
echo "Terminate holdlock"
echo "Re-run tstlock.sh"

# clean up
rm -f tst.hsh
